SDL_UpdateYUVTexture(3)

NAME
SDL_UpdateYUVTexture - Update a rectangle within a planar YV12 or IYUV texture with new pixel data.

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_UpdateYUVTexture(SDL_Texture *texture,
                     const SDL_Rect *rect,
                     const Uint8 *Yplane, int Ypitch,
                     const Uint8 *Uplane, int Upitch,
                     const Uint8 *Vplane, int Vpitch);

DESCRIPTION
You can use SDL_UpdateTexture() as long as your pixel data is a contiguous block of Y and U/V planes in the proper order, but this function is available if your pixel data is not contiguous.

FUNCTION PARAMETERS

texture
    the texture to update.

rect
    a pointer to the rectangle of pixels to update, or NULL to update the entire texture.

Yplane
    the raw pixel data for the Y plane.

Ypitch
    the number of bytes between rows of pixel data for the Y plane.

Uplane
    the raw pixel data for the U plane.

Upitch
    the number of bytes between rows of pixel data for the U plane.

Vplane
    the raw pixel data for the V plane.

Vpitch
    the number of bytes between rows of pixel data for the V plane.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_UpdateNVTexture(3), SDL_UpdateTexture(3)